Bug 223601 - Review Request: perl-B-Keywords - Lists of reserved barewords and symbol names
Review Request: perl-B-Keywords - Lists of reserved barewords and symbol names
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-20 11:56 EST by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 09:32:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2007-01-20 11:56:40 EST
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-B-Keywords.spec

SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-B-Keywords-1.05-1.src.rpm

Description:
Lists of reserved barewords and symbol names.

Note:
New requirement of Perl::Critic 0.23.
Comment 1 Parag AN(पराग) 2007-01-22 00:57:34 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
f8b40e7dc864fc27fc69638e58cc651c  B-Keywords-1.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01pod.............ok
t/02pod-coverage....ok
t/03yaml............ok
t/04boilerplate.....ok
t/10basic...........ok
t/11keywords........ok
All tests successful.
Files=6, Tests=14,  0 wallclock secs ( 0.30 cusr +  0.05 csys =  0.35 CPU)

-APPROVED.
Comment 2 Jose Pedro Oliveira 2007-01-26 09:32:38 EST
Thanks for the review.

Package imported and built for FC-5, FC-6, and devel.

Note You need to log in before you can comment on or make changes to this bug.